program RespSepc

!-----[--.----+----.----+----.-----------------------------------------]

!      * * RespSpec * * A program to construct response spectrum 
!                       written in FORTRAN 90
!                      -    -           -                  --
!....  Copyright (c) 2014-xxxx: 
!                Computational Dynamics Group, Tsinghua University
!                All rights reserved

!-----[--.----+----.----+----.-----------------------------------------]

!     Developped by:
!         LIU, Yan
!         School of Aerospace
!         Tsinghua University
!         Beijing, 100084
!     E-mail:
!         yan-liu@tsinghua.edu.cn
!     Web address:
!         www.comdyn.cn

!-----[--.----+----.----+----.-----------------------------------------]

  use module_output
  implicit none


  if(COMMAND_ARGUMENT_COUNT().lt.1) then
     write(*,*) 'Fatal: No Input File Specified!'
     write(*,*) 'Please Enter Input File Name:'
     read(*,'(a)') filename_in
  else
     call GET_COMMAND_ARGUMENT(1, filename_in)
  end if

  call OpenFile()

  call ReadData()

  call Initialize()

  call TimeIntegration()

  call OutputSpectrum()

  call Clean()

105 format(/' *ERROR* FILENAME: Specified input file does not exist, ', &
            'reinput name.'/)

end program RESPSEPC
