subroutine OutputSpectrum()
!-----------------------------------------------------------------------
! Purpose: 
!         Write response spectrums into files
! Inputs:  
!         None
!-----------------------------------------------------------------------

  use module_output
  use module_data
  implicit none

  integer :: i
  real*8 InvTwoPi
	
  call OpenOutFiles()
  InvTwoPi = 1.0d0 / (8.0d0 * DATAN(1.0d0))
  ! Temporarilly use xi_freq to store frequencies
  xi_freq = freq * InvTwoPi

  ! Displacement
  if (OutCurves(1)) then
     do i = 1, nFreqPoint
        write(io_spectrum(1), 201) xi_freq(i), MaxDisp(i)
     end do
  end if

  ! Velocity
  if (OutCurves(2)) then
     do i = 1, nFreqPoint
        write(io_spectrum(2), 201) xi_freq(i), MaxVelo(i)
     end do
  end if
  
  ! Acceleration
  if (OutCurves(3)) then
     do i = 1, nFreqPoint
        write(io_spectrum(3), 201) xi_freq(i), MaxAccl(i)
     end do
  end if

  ! Pseudo-velocity
  if (OutCurves(4)) then
     do i = 1, nFreqPoint
        write(io_spectrum(4), 201) xi_freq(i), freq(i)*MaxDisp(i)
     end do
  end if

  ! Displacement
  if (OutCurves(5)) then
     do i = 1, nFreqPoint
        write(io_spectrum(5), 201) xi_freq(i), freq(i)*freq(i)*MaxDisp(i)
     end do
  end if

  call CloseOutFiles()

201 format(1X, E20.12, 2X, E20.12)

end subroutine OutputSpectrum



