subroutine TimeIntegration ()

  use module_data
  use FFI
  implicit none
	
  write(*, 302) 
  write(io_log, 302) 

  select case(InteType)
  case (1)
     write(*, 300) 'Newmark'
     write(io_log, 300) 'Newmark'
     call TIM_Newmark()

  end select

  write(*, 303) 
  write(io_log, 303) 

300 format(/,'Run ', a ,' method for time integration...')
302 format(/,'====== Begin of time integration ... ======')
303 format(/,'------ End of time integration ------')
!304 format(/,'***Error : type fo Time Integration Method is wrong !')

end subroutine TimeIntegration


subroutine Force(t, f)
! ----------------------------------------------------------
!  Purpose:
!          Interpolate the load at time t
!  Input:
!          t -- Current time
!          t1, t2 -- The end points
!          f1, f2 -- Value at t1 and t2
!  Output:
!          f -- Value at t
!  ----------------------------------------------------------

  use module_data
  implicit none
  real*8, intent(in) :: t
  real*8, intent(out) :: f
  real*8 :: s1, s2, f1, f2
  integer :: n1, n2
  real*8 :: nt

  if (t >= LoadTime) then
     f = 0.0d0

  else
     nt = t * dt_load_inv
     n1 = nint(nt)
     n2 = n1 + 1
     f1 = Load(n1)
     f2 = Load(n2)
     s1 = n2 - nt
     s2 = nt - n1
     f = f1 * s1 + f2 * s2

  end if

end subroutine Force
