module module_data

  implicit none
  
  ! The fixed parameters
  real*8, parameter :: PARA_TOL = 1.0d-16
  
  ! The controling variables and parameters
  integer :: LoadType = 1
  ! 1 --- Ground acceleration excitation; 2 --- Other load
  integer :: InteType = 1
  ! 1 --- Newmark method (Currently it is the only choice)

  integer :: nStartStep, nStep, nLoadPoint, nFreqPoint
  real*8 :: StartTime, TotalTime, LoadTime
  real*8 :: dt, dt_load, dt_load_inv
  real*8 :: MaxFreq, MinFreq, dFreq
  real*8 :: damp_xi
  logical :: useLogScale = .true.
  
  real*8 :: IntParas(10) ! Parameters for integration
  ! Newmark: 1 -- gamma, 2 -- beta  

  ! The arrays
  real*8, allocatable :: disp(:), velo(:), accl(:)
  real*8, allocatable :: MaxDisp(:), MaxVelo(:), MaxAccl(:)
  real*8, allocatable :: Keff(:), Qeff(:)
  real*8, allocatable :: Load(:)
  real*8, allocatable :: freq(:)  ! Finally \omega_i will be stored
  real*8, allocatable :: xi_freq(:) ! 2.0 * \xi * \omega_i
  real*8 :: disp0 = 0.0d0, velo0 = 0.0d0


end module module_data
