module module_output

  use FFI
  implicit none

  integer, parameter :: MAX_OUTPUT = 5

  integer :: nOutput = 1
  logical :: OutCurves(MAX_OUTPUT) = (/.false., .false., .false., .true., .false./)
  ! The pseudo-velocity spectrum will be output by default

  character*80 :: filename_load
  character*80 :: filename, filename_spectrum(MAX_OUTPUT) = (/"disp.out", "velo.out", "accl.out", "pvel.out", "pacc.out"/)
  ! Major output filename: 1 --- Displacement spetrum; 
  !                        2 --- Velocity spectrum;
  !                        3 --- Acceleration spectrum;
  !                        4 --- Pseudo-velocity spectrum;
  !                        5 --- Pseudo-acceleration spectrum

  ! Unit for output
  integer, parameter :: io_load = 21
  integer, parameter :: io_spectrum(MAX_OUTPUT) = (/101, 102, 103, 104, 105/)

contains

  subroutine OpenOutFiles()
  ! Purpose: open files for outputs

    implicit none
    integer :: i

    do i = 1, MAX_OUTPUT
       if ( OutCurves(i) ) then
          open(unit=io_spectrum(i), file=filename_spectrum(i), status='unknown')
       end if
    end do

  end subroutine OpenOutFiles

  subroutine CloseOutFiles()
  ! Purpose: close files for outputs

    implicit none
    integer :: i

    do i = 1, MAX_OUTPUT
       if ( OutCurves(i) ) then
          close( io_spectrum(i) )
       end if
    end do

  end subroutine CloseOutFiles

end module module_output
